> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact by identifier (id:123, email:user@example.com, phone:+84...)



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts/{identifier}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/{identifier}:
    get:
      tags:
        - Contacts
      summary: Get contact by identifier (id:123, email:user@example.com, phone:+84...)
      operationId: getContactWorkspaceTokenAPI
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      updatedAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      avatar:
                        anyOf:
                          - type: string
                          - type: 'null'
                      phoneNumber:
                        anyOf:
                          - type: string
                          - type: 'null'
                      email:
                        anyOf:
                          - type: string
                          - type: 'null'
                      emailVerified:
                        type: boolean
                      emailOptIn:
                        type: boolean
                      firstName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      lastName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      fullName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      gender:
                        anyOf:
                          - enum:
                              - male
                              - female
                              - unknown
                            type: string
                          - type: 'null'
                      lastReadAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      ref:
                        anyOf:
                          - type: string
                          - type: 'null'
                      country:
                        anyOf:
                          - type: string
                          - type: 'null'
                      state:
                        anyOf:
                          - type: string
                          - type: 'null'
                      city:
                        anyOf:
                          - type: string
                          - type: 'null'
                      location:
                        anyOf:
                          - anyOf:
                              - anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: 'null'
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              - type: array
                                items:
                                  anyOf:
                                    - {}
                                    - type: 'null'
                          - type: 'null'
                      locale:
                        anyOf:
                          - type: string
                          - type: 'null'
                      timezone:
                        anyOf:
                          - type: string
                          - type: 'null'
                      subscribedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      broadcastSubscribedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      blockedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      workspaceId:
                        type: string
                    required:
                      - id
                      - createdAt
                      - updatedAt
                      - avatar
                      - phoneNumber
                      - email
                      - emailVerified
                      - emailOptIn
                      - firstName
                      - lastName
                      - fullName
                      - gender
                      - lastReadAt
                      - ref
                      - country
                      - state
                      - city
                      - location
                      - locale
                      - timezone
                      - subscribedAt
                      - broadcastSubscribedAt
                      - blockedAt
                      - workspaceId
                  - type: object
                    properties:
                      contactCustomFields:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            updatedAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            value:
                              type: string
                            contactId:
                              type: string
                            customFieldId:
                              type: string
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - value
                            - contactId
                            - customFieldId
                      tags:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            updatedAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            name:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  x-native-type: date
                                - type: 'null'
                            folderId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            workspaceId:
                              type: string
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - deletedAt
                            - folderId
                            - workspaceId
                      contactNotes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              pattern: \d+
                            createdAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            updatedAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            text:
                              type: string
                            contactId:
                              type: string
                              pattern: \d+
                            createdById:
                              anyOf:
                                - type: string
                                  pattern: \d+
                                - type: 'null'
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - text
                            - contactId
                            - createdById
                      contactInboxes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            contactId:
                              type: string
                            inboxId:
                              type: string
                            channel:
                              type: string
                            inbox:
                              type: object
                              properties:
                                id:
                                  type: string
                                  pattern: \d+
                                createdAt:
                                  type: string
                                  format: date-time
                                  x-native-type: date
                                updatedAt:
                                  type: string
                                  format: date-time
                                  x-native-type: date
                                name:
                                  type: string
                                channel:
                                  type: string
                                sourceId:
                                  type: string
                                workspaceId:
                                  type: string
                                  pattern: \d+
                                status:
                                  type: string
                              required:
                                - id
                                - createdAt
                                - updatedAt
                                - name
                                - channel
                                - sourceId
                                - workspaceId
                                - status
                          required:
                            - id
                            - contactId
                            - inboxId
                            - channel
                            - inbox
                      conversation:
                        anyOf:
                          - allOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  botEnabled:
                                    type: boolean
                                  botResumeAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  archivedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  additionalAttributes:
                                    anyOf:
                                      - anyOf:
                                          - anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                              - type: 'null'
                                          - type: object
                                            propertyNames:
                                              type: string
                                            additionalProperties: {}
                                          - type: array
                                            items:
                                              anyOf:
                                                - {}
                                                - type: 'null'
                                      - type: 'null'
                                  contactLastReadAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  agentLastReadAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  aiContextLastMessageId:
                                    anyOf:
                                      - {}
                                      - type: 'null'
                                  lastActivityAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  followed:
                                    type: boolean
                                  assignedUserId:
                                    anyOf:
                                      - {}
                                      - type: 'null'
                                  assignedInboxTeamId:
                                    anyOf:
                                      - {}
                                      - type: 'null'
                                  workspaceId:
                                    type: string
                                  contactId:
                                    type: string
                                  adminRepliedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  contactRepliedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - botEnabled
                                  - botResumeAt
                                  - archivedAt
                                  - additionalAttributes
                                  - contactLastReadAt
                                  - agentLastReadAt
                                  - lastActivityAt
                                  - followed
                                  - workspaceId
                                  - contactId
                                  - adminRepliedAt
                                  - contactRepliedAt
                              - type: object
                                properties:
                                  assignedUser:
                                    anyOf:
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                          createdAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          updatedAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          name:
                                            anyOf:
                                              - type: string
                                              - type: 'null'
                                          email:
                                            type: string
                                          emailVerified:
                                            type: boolean
                                          image:
                                            anyOf:
                                              - type: string
                                              - type: 'null'
                                          isAnonymous:
                                            type: boolean
                                        required:
                                          - id
                                          - createdAt
                                          - updatedAt
                                          - name
                                          - email
                                          - emailVerified
                                          - image
                                          - isAnonymous
                                      - type: 'null'
                                  assignedInboxTeam:
                                    anyOf:
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                          createdAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          updatedAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          workspaceId:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - id
                                          - createdAt
                                          - updatedAt
                                          - workspaceId
                                          - name
                                      - type: 'null'
                                  inbox:
                                    anyOf:
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                            pattern: \d+
                                          createdAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          updatedAt:
                                            type: string
                                            format: date-time
                                            x-native-type: date
                                          name:
                                            type: string
                                          channel:
                                            type: string
                                          sourceId:
                                            type: string
                                          workspaceId:
                                            type: string
                                            pattern: \d+
                                          status:
                                            type: string
                                        required:
                                          - id
                                          - createdAt
                                          - updatedAt
                                          - name
                                          - channel
                                          - sourceId
                                          - workspaceId
                                          - status
                                      - type: 'null'
                          - type: 'null'
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````